## org.h2.store.fs
Interface Recorder

All Known Implementing Classes:
  RecoverTester, TestReopen

    public interface Recorder

A recorder for the recording file system.

Field Summary
`static int` `COPY` Copy a file.
`static int` `CREATE_DIRS` Create all parent directories.
`static int` `CREATE_NEW_FILE` Create a new file.
`static int` `CREATE_TEMP_FILE` Create a temporary file.
`static int` `DELETE` Delete a file.
`static int` `DELETE_RECURSIVE` Delete all files and directories recursively.
`static int` `OPEN_OUTPUT_STREAM` Open a file output stream.
`static int` `RENAME` Rename a file.
`static int` `SET_LENGTH` Set the length of the file.
`static int` `TRY_DELETE` Try to delete the file.
`static int` `WRITE` Write to the file.

Method Summary
`void` `log(int op, java.lang.String fileName, byte[] data, long x)` Record the method.

Field Detail

### COPY

    static final int COPY

  Copy a file. The file name contains the source and the target file separated with a colon.

  See Also:
    Constant Field Values

### CREATE_DIRS

    static final int CREATE_DIRS

  Create all parent directories.

  See Also:
    Constant Field Values

### CREATE_NEW_FILE

    static final int CREATE_NEW_FILE

  Create a new file.

  See Also:
    Constant Field Values

### CREATE_TEMP_FILE

    static final int CREATE_TEMP_FILE

  Create a temporary file.

  See Also:
    Constant Field Values

### DELETE

    static final int DELETE

  Delete a file.

  See Also:
    Constant Field Values

### DELETE_RECURSIVE

    static final int DELETE_RECURSIVE

  Delete all files and directories recursively.

  See Also:
    Constant Field Values

### OPEN_OUTPUT_STREAM

    static final int OPEN_OUTPUT_STREAM

  Open a file output stream.

  See Also:
    Constant Field Values

### RENAME

    static final int RENAME

  Rename a file. The file name contains the source and the target file separated with a colon.

  See Also:
    Constant Field Values

### SET_LENGTH

    static final int SET_LENGTH

  Set the length of the file.

  See Also:
    Constant Field Values

### TRY_DELETE

    static final int TRY_DELETE

  Try to delete the file.

  See Also:
    Constant Field Values

### WRITE

    static final int WRITE

  Write to the file.

  See Also:
    Constant Field Values

Method Detail

### log

    void log(int op,
             java.lang.String fileName,
             byte[] data,
             long x)

  Record the method.

  Parameters:
    `op` - the operation
    `fileName` - the file name or file name list
    `data` - the data or null
    `x` - the value or 0